### Function

# Babl format

#### Declaration [src]

    const Babl*
    babl_format (
      const char* encoding
    )

#### Description [src]

Returns the babl object representing the color format given by `name` such as for example “RGB u8”, “CMYK float” or “CIE Lab u16”, creates a format using the sRGB space, to also specify the color space and TRCs for a format, see `babl_format_with_space()`.

#### Parameters

`encoding`

  Type: `const char*`

  Format used to encode the colors.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `Babl`

No description available.

The data is owned by the called function.